## c2ps 4.0-3

=== Makefile ===
# Makefile for c2ps ver4.0
# Last modified: Sat Apr 19 1997

RM	= 	rm -f
CC	=	gcc
CCFLAGS =       -O2 -g

PREFIX	=	/usr/local
BIN	=	$(PREFIX)/bin
MAN	=	$(PREFIX)/man/man1

# you may predefine some of the default settings
DEFAULT_FONT	= \"Courier\"
COMMENT_FONT	= \"Helvetica-Oblique\"
STRINGS_FONT	= \"Courier-Oblique\"
PREPROC_FONT	= \"Courier-BoldOblique\"
KEYWORD_FONT	= \"Courier-Bold\"
TYPE_FONT	= \"Courier-Bold\"
LNUMBER_FONT	= \"Times-Roman\"
FUNCTION_FONT	= \"Bookman-LightItalic\"

COMMENT_DIMMING_DEGREE	= 0.75
DEFAULT_PAPER_TYPE	= A4
# possible values are A4 and LETTER


#___You don't need to change anything below__________________

PREP_OPTIONS = \
 -DDEFAULT=$(DEFAULT_FONT) -DCOMMENT=$(COMMENT_FONT)\
 -DSTRINGS=$(STRINGS_FONT) -DPREPROC=$(PREPROC_FONT)\
 -DKEYWORD=$(KEYWORD_FONT) -DTYPE=$(TYPE_FONT)\
 -DLNUMBER=$(LNUMBER_FONT) -DFUNCTION=$(FUNCTION_FONT)\
 -DDIM=$(COMMENT_DIMMING_DEGREE)\
 -D$(DEFAULT_PAPER_TYPE)

all:		compile

install:	bininstall maninstall

bininstall:	c2ps
	install -m 755 c2ps $(BIN)

maninstall:	c2ps.1
	install -m 644 c2ps.1 $(MAN)

compile:	c2ps.c
	$(CC) $(PREP_OPTIONS) $(CCFLAGS) -o c2ps c2ps.c

clean:
	$(RM) c2ps *.o core *~

=== debian/changelog ===
c2ps (4.0-3) unstable; urgency=low

  * updated to Debian standard 2.5.1.0

 -- Amos Shapira <amos@debian.org>  Wed, 26 May 1999 22:47:16 +0200

c2ps (4.0-2) frozen unstable; urgency=low

  * changed to use debhelper
  * Updated to debian standard 2.4.0.0

 -- Amos Shapira <amos@debian.org>  Sun,  8 Mar 1998 08:17:44 +0200

c2ps (4.0-1.1) unstable; urgency=low

  * Non-maintainer release.
  * Libc6 compile.
  * Patched to use /etc/papersize (#11557)
  * Changed architecture from i386 to any. (#13692)
  * Updated to Standards 2.3.0.1.

 -- Martin Mitchell <martin@debian.org>  Mon, 10 Nov 1997 22:23:24 +1100

c2ps (4.0-1) unstable; urgency=low

  * new c2ps release

 -- Amos Shapira <amos@gezernet.co.il>  Fri, 4 Jul 1997 16:21:18 +0300

c2ps (3.0-1) unstable; urgency=low

  * added a missing argument to fprintf when fopen() fails
  * fixed Makefile to use the flags passed by debian/rules
  * Initial Release.

 -- Amos Shapira <amos@dsi.co.il>  Mon, 24 Mar 1997 21:43:23 +0300

Local variables:
mode: debian-changelog
add-log-mailing-address: "amos@debian.org"
End:

=== debian/control ===
Source: c2ps
Section: text
Priority: extra
Maintainer: Amos Shapira <amos@debian.org>
Standards-Version: 2.5.1.0

Package: c2ps
Architecture: any
Depends: ${shlibs:Depends}
Description: convert an ASCII file with C/C++ code to PostScript
 Converts the specified ASCII file containing C/C++ code to PostScript
 output conforming to the Adobe Structuring Conventions.  The actual
 output page may be out with one, two or four columns.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) CFLAGS="-O2 -g -Wall" CCFLAGS="-O2 -g -Wall"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	$(RM) build-stamp
	-$(MAKE) clean
	dh_clean

binary-indep: build

binary-arch: build
	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) PREFIX=`pwd`/debian/tmp/usr bininstall
	dh_installdocs README
#	dh_installexamples
#	dh_installmenu
#	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

# Below here is fairly generic really

binary:	binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
